program cnsf_p
		version 13.1
		syntax newvarname [in] [if], [CJLMS JLMS JLMS1 JLMS2 CProb Residuals]
		local nopts : word count `cjlms' `jlms' `jlms1' `jlms2' `cprob' `residuals' `xb'
		marksample touse, novarlist
				if `nopts'				>	1{
		display "{err}only one statistic may be specified"
		exit 498
		}
		local s $cost_s
		tempvar u1 u2 c_prob resid xb_ sv1 sv2 su prob
		tempname b
		matrix `b'				=	e(b)
		matrix score `xb_'		=	`b'
		scalar `sv1'			=	exp([lnsigma_v1]_cons)
		scalar `sv2'			=	exp([lnsigma_v2]_cons)
		scalar `su'				=	exp([lnsigma_u]_cons)
		scalar `prob'			=	invlogit([logprob]_cons)
		gen `typlist' `resid'	=	$ML_y1-`xb_' if `touse'
		gen `typlist' `u1'		=	sqrt(`sv1'^2+`su'^2)*`su'/(`sv1'*(1+(`su'/`sv1')^2))*(normalden(`resid'*`su'/(`sv1'*sqrt(`sv1'^2+`su'^2)))/normal(-`s'*`resid'*`su'/(`sv1'*sqrt(`sv1'^2+`su'^2)))-`s'*`resid'*`su'/(`sv1'*sqrt(`sv1'^2+`su'^2))) if `touse'
		gen `typlist' `u2'		=	sqrt(`sv2'^2+`su'^2)*`su'/(`sv2'*(1+(`su'/`sv2')^2))*(normalden(`resid'*`su'/(`sv2'*sqrt(`sv2'^2+`su'^2)))/normal(-`s'*`resid'*`su'/(`sv2'*sqrt(`sv2'^2+`su'^2)))-`s'*`resid'*`su'/(`sv2'*sqrt(`sv2'^2+`su'^2))) if `touse'
		gen `typlist' `c_prob'	=	`prob'*2/sqrt(`sv1'^2+`su'^2)*normalden(`resid'/sqrt(`sv1'^2+`su'^2))*normal(-`s'*`resid'*(`su'/`sv1')/sqrt(`sv1'^2+`su'^2))/(`prob'*2/sqrt(`sv1'^2+`su'^2)*normalden(`resid'/sqrt(`sv1'^2+`su'^2))*normal(-`s'*`resid'*(`su'/`sv1')/sqrt(`sv1'^2+`su'^2))+(1-`prob')*2/sqrt(`sv2'^2+`su'^2)*normalden(`resid'/sqrt(`sv2'^2+`su'^2))*normal(-`s'*`resid'*(`su'/`sv2')/sqrt(`sv2'^2+`su'^2))) if `touse'

		if `nopts'				==	0{
		gen `typlist' `varlist'	=	`xb_'							if `touse'
		}
		if "`cjlms'"				!=	""{
		gen `typlist' `varlist'	=	exp(`s'*(`c_prob'*`u1'+(1-`c_prob')*`u2'))	if `touse'
		}
		if "`jlms'"				!=	""{
		gen `typlist' `varlist'	=	exp(`s'*(`prob'*`u1'+(1-`prob')*`u2'))	if `touse'
		}
		if "`jlms1'"			!=	""{
		gen `typlist' `varlist'	=	exp(`s'*`u1')						if `touse'
		}
		if "`jlms2'"			!=	""{
		gen `typlist' `varlist'	=	exp(`s'*`u2')						if `touse'
		}
		if "`cprob'"				!=	""{
		gen `typlist' `varlist'	=	`c_prob'							if `touse'
		}
		if "`residuals'"		!=	""{
		gen `typlist' `varlist'	=	`resid'							if `touse'
		}
		if "`xb'"		!=	""{
		gen `typlist' `varlist' =	`xb_'							if `touse'
		}
end
